Index: ogg123.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis/vorbis-tools/ogg123.c,v
retrieving revision 1.9
diff -u -r1.9 ogg123.c
--- ogg123.c	2000/07/30 00:02:55	1.9
+++ ogg123.c	2000/07/31 06:48:45
@@ -417,10 +417,22 @@
 	  fprintf (stderr, "Artist: %s\n", cc + 7);
 	else if (!strncasecmp ("ALBUM=", cc, 6))
 	  fprintf (stderr, "Album: %s\n", cc + 6);
-	else if (!strncasecmp ("TRACK=", cc, 6))
-	  fprintf (stderr, "Track: %s\n", cc + 6);
 	else if (!strncasecmp ("TITLE=", cc, 6))
-	  fprintf (stderr, "Title (track): %s\n", cc + 6);
+	  fprintf (stderr, "Title: %s\n", cc + 6);
+	else if (!strncasecmp ("VERSION=", cc, 8))
+	  fprintf (stderr, "Version: %s\n", cc + 8);
+	else if (!strncasecmp ("ORGANIZATION=", cc, 13))
+	  fprintf (stderr, "Organization: %s\n", cc + 13);
+	else if (!strncasecmp ("GENRE=", cc, 6))
+	  fprintf (stderr, "Genre: %s\n", cc + 6);
+	else if (!strncasecmp ("DESCRIPTION=", cc, 12))
+	  fprintf (stderr, "Description: %s\n", cc + 12);
+	else if (!strncasecmp ("DATE=", cc, 5))
+	  fprintf (stderr, "Date: %s\n", cc + 5);
+	else if (!strncasecmp ("LOCATION=", cc, 9))
+	  fprintf (stderr, "Location: %s\n", cc + 9);
+	else if (!strncasecmp ("COPYRIGHT=", cc, 10))
+	  fprintf (stderr, "Copyright: %s\n", cc + 10);
 	else
 	  fprintf (stderr, "Unrecognized comment: %s\n", cc);
       }